Résolution des problèmes rencontrés lors de l'installation de l'agent Linux Passer la navigation

Résolution des problèmes rencontrés lors de l'installation de l'agent
Linux

Le tableau ci-dessous décrit les actions que vous pouvez effectuer pour résoudre les problèmes d'installation de l'agent
Linux
.
Tâche ou erreur
Action
Démarrer ou arrêter le service d'agent
Utilisez les commandes suivantes pour démarrer ou arrêter le service
Cylance
sur un terminal
Linux
 :
  • Pour démarrer le service
    Cylance
     :
    systemctl start cylancesvc
  • Pour arrêter le service
    Cylance
     :
    systemctl stop cylancesvc
Vérifier le chargement des pilotes du noyau
Pour vérifier si les pilotes du noyau sont chargés, saisissez la commande suivante :
lsmod | grep CyProtectDrv
Si les modules de noyau sont chargés, la commande doit générer un résultat similaire au suivant :
CyProtectDrv 210706 0CyProtectDrvOpen 16384 1 CyProtectDrv
Si les modules du noyau ne sont pas chargés, aucune sortie n'est renvoyée.
Chargement et déchargement des pilotes du noyau
Sur l'agent
CylancePROTECT Desktop
Linux
 2.1.1590 et les versions ultérieures, deux pilotes sont chargés et déchargés ensemble :
CyProtectDrv
et
CyProtectDrvOpen
. Sur les versions antérieures de l'agent, seul le pilote
CyProtectDrv
est chargé.
Pour charger les pilotes du noyau, saisissez l'une des commandes suivantes :
  • Pour les distributions
    SUSE
    Linux
     :
    modprobe --allow-unsupported cyprotect
    Si vous ne souhaitez pas continuer à utiliser l'indicateur
    --allow-unsupported
    , modifiez
    /etc/modprobe.d/10-unsupported-modules.conf
    et remplacez « allow_unsupported_modules » par « 1 ».
  • Pour toutes les autres distributions
    Linux
     :
    modprobe cyprotect
Démarrer l'interface utilisateur
Linux
manuellement
Si l'interface utilisateur de l'agent ne démarre pas automatiquement après l'installation, consultez la section Démarrer l'interface utilisateur manuellement pour en savoir plus.
Erreur : problèmes de version multilib détectés
Si le message « Erreur : problèmes de version multilib détectés » s'affiche lors de l'installation d'un package sur un terminal, consultez la section Erreur : problèmes de version multilib détectés pour en savoir plus.